Flutter 开坑笔记

安装

跟着官方教程走就行

务必安装 Android Studio!不然就是自己找麻烦。

Ubuntu

最简单的安装方法:

sudo snap install flutter --classic

升级 Dart SDK

flutter upgrade

注意事项

系统设置里不走代理的加上 127.0.0.1,不然无法调试

遇到android license status unknown则运行flutter doctor --android-licenses

截至 2021-01-03 flutter doctor 尚不支持 Java11,须安装旧版本;而编译代码需要 Java11 及以上的版本。。吐了
对于 Ubuntu:

sudo apt install openjdk-8-jre openjdk-11-jdk
sudo update-alternatives --config java

然后重启终端!(之前一直没重启终端卡了好久)

若提示找不到 sdkmanager 则在 Android Studio 里安装 Android SDK Command-line Tools

Windows

要设置三个环境变量:

  • ANDROID_SDK_ROOT
  • FLUTTER_STORAGE_BASE_URL
  • PUB_HOSTED_URL

项目

前端直接参考 Widgets

添加依赖:在 pubspec.yaml 的 dependencies 下添加,并 flutter pub get

Material 3

截至 2022-08-10,flutter 默认仍不会启用 material 3。适配进度在此查看:☂️ Bring Material 3 to Flutter

要尝试 material 3,需在 main() 中给主题设置属性:

return MaterialApp(
title: _title,
theme: ThemeData(
useMaterial3: true,
),
home: MyStatefulWidget(),
);

Material 中,有一个 elevation 概念,也就是元素高度,主要体现在元素阴影上。